declare enum errorType {
    info = "info",
    warning = "warning",
    error = "error"
}
export interface MarkStates {
    start: number;
    end: number;
    node: HTMLAnchorElement;
}
/**
 * Get Local time, format:  HH:mm:ss
 */
export declare function getLocalTime(): string;
export declare function createLinkMark(attrs: any): string;
export declare function getLinkMark(value: string): MarkStates[];
/**
 * 标记颜色
 * @param {string} text 标记文本
 * @param {string} type 标记类型
 */
export declare function createLogMark(text?: string, type?: keyof typeof errorType): string;
export declare function getLogMark(value: string): MarkStates[];
/**
 * fclog日志构造器
 * @param {string} log 日志内容
 * @param {string} type 日志类型
 */
export declare function createLog(log: string, type?: errorType | string): string;
export declare function createTitle(title?: string, baseLength?: number, symbol?: string): string;
export {};
